aboutsummaryrefslogtreecommitdiffstats
path: root/meta
Commit message (Collapse)AuthorAgeFilesLines
* security_flags.inc: elfutils on ARM fails with PIE flagsDenys Dmytriyenko2015-04-081-0/+1
| | | | | | | | The error messages look like this: R_ARM_TLS_LE32 relocation not permitted in shared object Signed-off-by: Denys Dmytriyenko <denys@ti.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* file: add -P prompt into usage infoJunling Zheng2015-04-082-1/+41
| | | | | | | Currently, file's usage info doesn't contain -P prompt. So add it. Signed-off-by: Junling Zheng <zhengjunling@huawei.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* perl: module overload rdpends on overloadingWenzong Fan2015-04-081-0/+1
| | | | | | | | | | Fix perl runtime issue: * Can't locate overloading.pm in @INC (you may need to install the overloading module ...) at /usr/lib64/perl/5.20.0/overload.pm line 83. Signed-off-by: Wenzong Fan <wenzong.fan@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* python: Change python 2.7.9 to use libffi from the systemNathan Rossi2015-04-081-1/+3
| | | | | | | | | | | | | | | Changes in python 2.7.9 from 2.7.3 cause issues when building the in tree libffi for ctypes. These issues primarily affect less common platforms (e.g. MicroBlaze) that are supported by libffi but the python overrides for the in tree libffi are not able to detect correctly. This patch changes the python 2.7.9 recipe to match how the python 3 recipe handles libffi by configuring the build to use the system libffi. This brings consistency between the libffi used for different python versions as well as with the system. Signed-off-by: Nathan Rossi <nathan.rossi@xilinx.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* glib-2.0: 2.42.1 -> 2.44.0Robert Yang2015-04-082-2/+45
| | | | | | | | Backported a patch to fix build on CentOS' gcc 4.4.7: 0001-GListModel-roll-back-use-of-type-redefinition.patch Signed-off-by: Robert Yang <liezhi.yang@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* binutils: Fix packaging now gold is always builtRichard Purdie2015-04-081-1/+1
| | | | | | | | | | | | Resolves: ERROR: QA Issue: binutils: Files/directories were installed but not shipped /usr/bin/dwp /usr/bin/ld.gold [installed-vs-shipped] now gold is always built. Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* tcmode-default: Pin gdb to 7.9Khem Raj2015-04-081-1/+1
| | | | | | Change-Id: I034a3bf7b9288df4579744f242e990f213193e85 Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gcc-4.8: Upgrade 4.8.2 -> 4.8.4Khem Raj2015-04-0810-384/+164
| | | | | | | | | | Drop already applied patches This fixes random ICE seen on mips with large c++ files ( webkit ) Then there are several backports Change-Id: Ie1c3acda2fda1b6cbd356416c860938f6cbd758e Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* rpcbind: Fix build with muslKhem Raj2015-04-085-3/+284
| | | | | | | | | | most patches are just removing glibc'ism e.g. using sys/queue.h of cdefs.h the one patch which is specific to musl is housed with overrides Change-Id: Ia15bf6c9c4b562c9392a704ef92e9090aa5f6381 Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* libxml2: Contain glibc-extentions under __GLIBC__Khem Raj2015-04-082-1/+35
| | | | | | | | Makes it more portable Change-Id: I7bbc4cc0ebc26d54248b8433dab94db207615445 Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* wpa-supplicant: Replace non-standard base defines with c99 compliant onesKhem Raj2015-04-082-0/+39
| | | | | | | | Makes it more portable Change-Id: I033787934cd91243ce8f8ce3a974a157aa5cfd6a Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* pixman,libpciaccess: Fix build on muslKhem Raj2015-04-084-0/+49
| | | | | | | | | | The fixes are not specific to musl, however they came to surface due to musl, these are generic problems which should be fixed in components Change-Id: If9aa95968d9dec9c16e3e5819955befcaa38937c Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* ofono: Disable backtrace for non-glibc librariesKhem Raj2015-04-082-0/+41
| | | | | | | | | It uses glibc backtrace() API which is not implemented everywhere e.g. musl Change-Id: I96380b994c27968542dba6dae220adfecaeda556 Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* man-pages: 3.76 -> 3.82Robert Yang2015-04-081-2/+2
| | | | | Signed-off-by: Robert Yang <liezhi.yang@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* dhcp: 4.3.1 -> 4.3.2Robert Yang2015-04-072-310/+2
| | | | | | | Removed dhcp-xen-checksum.patch since already merged. Signed-off-by: Robert Yang <liezhi.yang@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* socat: 1.7.2.4 -> 1.7.3.0Robert Yang2015-04-073-70/+3
| | | | | | | | | | | | Removed fix-cross-compiling-failed.patch and socat-1.7.2.4-linux-3.17.patch since upstream has fixed them. Updated README's LIC_FILES_CHKSUM, there is a word changed (GPL -> GPLv2, it should be GPLv2 as COPYING shows), its license is already "GPL-2.0+-with-OpenSSL-exception", so we just update the md5 is OK. Signed-off-by: Robert Yang <liezhi.yang@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gnupg: 2.1.1 -> 2.1.2Robert Yang2015-04-071-2/+2
| | | | | Signed-off-by: Robert Yang <liezhi.yang@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* libgcrypt: 1.6.2 -> 1.6.3Robert Yang2015-04-072-4/+4
| | | | | Signed-off-by: Robert Yang <liezhi.yang@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* patch: 2.7.1 -> 2.7.5Robert Yang2015-04-073-204/+3
| | | | | | | | * Removed backport patch patch-CVE-2015-1196.patch * Add HOMEPAGE Signed-off-by: Robert Yang <liezhi.yang@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* libuser: 0.60 -> 0.61Robert Yang2015-04-072-38/+3
| | | | | | | Removed fixsepbuild.patch since it is not needed any more. Signed-off-by: Robert Yang <liezhi.yang@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* strace: 4.9 -> 4.10Robert Yang2015-04-075-25/+15
| | | | | | | | | | | | | | | | Updated patches: Makefile-ptest.patch strace-add-configure-options.patch Fixed: debugedit: netlink_unix_diag: canonicalization unexpectedly shrank by one character It was because oe_runmake -C ${TESTDIR} buildtest-TESTS didn't set OS and ARCH, which caused "-I<foo>//" in gcc options, and would cause debugedit error. Signed-off-by: Robert Yang <liezhi.yang@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* libunwind: Build with gold to avoid build failuresRichard Purdie2015-04-071-0/+3
| | | | | | | | | The library fails to build with binutils 2.25 and standard ld. This issue is fixed in gcc 5 with no plans to backport to gcc 4. Easiest workaround for now is to use gold as the linker for the library since gold does not have the issue. The bug is x86 only. Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* binutils: Allow gold to build even when not the defaultRichard Purdie2015-04-071-1/+1
| | | | | | | It can be useful to have gold available for testing even when its not the default, therefore build gold by default in all configurations. Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* u-boot: Avoid issues with binutils-2.25Richard Purdie2015-04-072-0/+192
| | | | | | | | Add a patch based on one from Zhenhua Luo <zhenhua.luo@freescale.com> in the meta-fsl-ppc layer to avoid build failures for u-boot with the mpc8315e-rdb machine with binutils 2.25. Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* util-linux: add lastb.1 and nologin.8 to update-alternativesMatthieu Crapet2015-04-061-1/+3
| | | | | | | | | | | /usr/share/man/man1/lastb.1 is also provided by sysvinit recipe. /usr/share/man/man8/nologin.8 is also provided by shadow recipe. Signed-off-by: Matthieu Crapet <Matthieu.Crapet@ingenico.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* prelink_git.bb: Update to latest cross-prelink versionMark Hatle2015-04-061-1/+1
| | | | | | | | | | | [YOCTO #7056] Adds support for armhf dynamic linker Update prelink-rtld to glibc 2.20 base Fix testsuite to work with latest autotools Signed-off-by: Mark Hatle <mark.hatle@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* pinentry: update to 9.1Armin Kuster2015-04-061-4/+2
| | | | | | | | | | Fix build problems on AIX. Update to automake 1.14. remove "PR" Signed-off-by: Armin Kuster <akuster808@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* useradd_base.bbclass: typo fixes (s/scucess/success/)Mario Domenech Goulart2015-04-061-7/+7
| | | | | Signed-off-by: Mario Domenech Goulart <mario@ossystems.com.br> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* valgrind: add configure option to build only 32-bit or 64-bit componentsKrishnanjanappa, Jagadeesh2015-04-061-0/+3
| | | | | | | | | | | | | | | | | Building both 32-bit and 64-bit binaries in valgrind at a time would lead to following QA issue as below, (snip) ERROR: QA Issue: Architecture did not match (62 to 3) on ${WORKDIR}/valgrind/3.10.1-r0/packages-split/valgrind-dbg/usr/lib64/valgrind/.debug/vgpreload_exp-sgcheck-x86-linux.so ERROR: QA Issue: Architecture did not match (62 to 3) on ${WORKDIR}/valgrind/3.10.1-r0/packages-split/valgrind-dbg/usr/lib64/valgrind/.debug/getoff-x86-linux ERROR: QA Issue: Architecture did not match (62 to 3) on ${WORKDIR}/valgrind/3.10.1-r0/packages-split/valgrind-dbg/usr/lib64/valgrind/.debug/vgpreload_core-x86-linux.so ERROR: QA Issue: Architecture did not match (62 to 3) on ${WORKDIR}/valgrind/3.10.1-r0/packages-split/valgrind-dbg/usr/lib64/valgrind/.debug/vgpreload_memcheck-x86-linux.so -- CUT -- hence perform only one type of build 32-bit or 64-bit, but not both. Signed-off-by: Krishnanjanappa, Jagadeesh <jagadeesh.krishnanjanappa@caviumnetworks.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* libevent: update 2.0.21 -> 2.0.22Andre McCurdy2015-04-063-38/+3
| | | | | Signed-off-by: Andre McCurdy <armccurdy@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* libevent: control openssl support via PACKAGECONFIGAndre McCurdy2015-04-061-1/+2
| | | | | Signed-off-by: Andre McCurdy <armccurdy@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* oe.sstatesig: align swspec handling with sstate.bbclassChristopher Larson2015-04-061-4/+4
| | | | | | | | | | | | | | | The logic tries to remove the -native suffix from pn to handle this (though it doesn't succeed, as it doesn't assign the new pn to the variable), but we need to do more for the swspec tasks than just not set the extrapath, we also need to change from SSTATE_PKGSPEC to SSTATE_SWSPEC. Alter to correct the spec for these cases, and also add preconfigure to align with the current logic in sstate.bbclass, which includes that task as well in the list of tasks to adjust to use swspec. [YOCTO #7563] Signed-off-by: Christopher Larson <kergoth@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* meta/lib/oe/utils.py: Corrected the return value of both_contain()Jun Zhu2015-04-061-1/+1
| | | | | | | | | | | | | | oe.utils.both_contain() should return the result as "checkvalue" or "", but the latest implement returns as "set(['checkvalue'])" or ""; It causes that bitbake.conf generates the wrong result of COMBINED_FEATURES, which contains the common components in both DISTRO_FEATURE and MACHINE_FEATURES. For example, build in Dizzy branch, COMBINED_FEATURES is "alsa usbhost ...", but recently, COMBINED_FEATURES is like "set(['alsa']) set(['usbhost']) ...". Signed-off-by: Jun Zhu <R01007@freescale.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* nss: generate debug infoJoe Slater2015-04-061-6/+7
| | | | | | | | | | | | | Because the build of nss seems to ignore CFLAGS, we never have put source code in the -dbg package. We do not address the CFLAGS issue, but we do add -g to the definition of CC so that we will generate debug info. We also let package.bbclass populate the -dbg package instead of forcing the contents locally. Signed-off-by: Joe Slater <jslater@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* uclibc: fix undefinition of '_dl_strchr' in libdl.aJunling Zheng2015-04-062-25/+69
| | | | | | | | | | | | | | | | | | | The orign_path.patch introduced '_dl_strchr' in ldso/ldso/dl-elf.c, and caused the following undefined referencing compiling error: | .../libdl.a(libdl.os): In function `search_for_named_library': | .../dl-elf.c:156: undefined reference to `_dl_strchr' | collect2: error: ld returned 1 exit status I found this problem when compiling gdb in static mode using uclibc. So, add the definition of '_dl_strchr' to fix it. The '_dl_strstr' is added as well. And I regenerated a patch to replace the original one. Signed-off-by: Junling Zheng <zhengjunling@huawei.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* piglit: add PACKAGECONFIG for freeglutRobert Yang2015-04-061-0/+3
| | | | | Signed-off-by: Robert Yang <liezhi.yang@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* lzop: Fix build using x32 ABIAníbal Limón2015-04-062-1/+38
| | | | | | | | | | | When tries to build lzop using x32 ABI fails trying to get FLAGS register that is 64-bit and destination variable is 32-bit size_t. [YOCTO #7424] Signed-off-by: Aníbal Limón <anibal.limon@linux.intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* stress: add new packageMaxin B. John2015-04-062-0/+93
| | | | | | | | | | Deliberately simple workload generator for POSIX systems. It imposes a configurable amount of CPU, memory, I/O, and disk stress on the system. Moving the package from meta-linaro as a dependency for rt-tests ptest Signed-off-by: Maxin B. John <maxin.john@enea.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* hwlatdetect: upgrade to version 0.91Maxin B. John2015-04-061-0/+0
| | | | | | | Upgrade hwlatdetect to version 0.91 Signed-off-by: Maxin B. John <maxin.john@enea.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* rt-tests: bump version and enable ptest supportMaxin B. John2015-04-064-3/+428
| | | | | | | | | | | 1. Upgrade version to 0.91 2. Add ptest support [YOCTO #1569] Signed-off-by: Thomas Lundström <thomas.lundstrom@enea.com> Signed-off-by: Maxin B. John <maxin.john@enea.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* binutils: Switch to using binutils stable/2.25 branchKhem Raj2015-04-0624-9011/+9045
| | | | | | | | | | | | | | | We have a lot of patches on top of 2.25 release that we need its easier/cleaner to use the git src instead of tarball and use the latest on the 2.25 branch Additionally, drop binutils-uclibc-300-006_better_file_error.patch since it has been redone with https://sourceware.org/ml/binutils/2006-10/msg00337.html upstream git'ify the patches against upstream repos for better maintainance Change-Id: I572c9bb49f60853e7ade4e8f63ab77b7e41476c5 Signed-off-by: Khem Raj <raj.khem@gmail.com>
* binutils: Fix ICE in goldKhem Raj2015-04-062-0/+37
| | | | | | | Found when linking busybox using gold linker Change-Id: I47b89998b9cb3d75ac97113a1b0fba109483b198 Signed-off-by: Khem Raj <raj.khem@gmail.com>
* binutils: upgrade to 2.25Robert Yang2015-04-0623-2140/+340
| | | | | | | | | | | | | | | | | | | | | | | | | | | * Remove the following patches since they are already in the new code: binutils/fix-pr15815.patch binutils/fix-pr16428.patch binutils/fix-pr16476.patch binutils/fix-pr2404.patch binutils/replace_macros_with_static_inline.patch binutils/binutils_CVE-2014-8484.patch binutils/binutils_CVE-2014-8485.patch binutils/binutils_CVE-2014-8501.patch binutils/binutils_CVE-2014-8502.patch binutils/binutils_CVE-2014-8502_1.patch binutils/binutils_CVE-2014-8503.patch binutils/binutils_CVE-2014-8504.patch binutils/binutils_CVE-2014-8737.patch * The file src-release is gone. * Updated patches for the new code. Signed-off-by: Robert Yang <liezhi.yang@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com> Conflicts: meta/conf/distro/include/tcmode-default.inc
* gdb: Upgrade 7.8.1 -> 7.9Khem Raj2015-04-066-88/+85
| | | | | | | | Refresh patches against new baseline Change-Id: I34c5a284c12f669ff3539a363e5eded15eeeeb23 Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* git: 2.3.0 -> 2.3.1Robert Yang2015-04-062-11/+11
| | | | | Signed-off-by: Robert Yang <liezhi.yang@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* wget: 1.16.1 -> 1.16.2Robert Yang2015-04-063-24/+9
| | | | | | | | | Update fix_makefile.patch: * The patch for po/Makefile.in.in is not needed any more since fixed. * Update the patch for configure.ac Signed-off-by: Robert Yang <liezhi.yang@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* package_manager: call createrepo with --dbpath pointing inside WORKDIREd Bartosh2015-04-021-1/+5
| | | | | | | | | | | | | | | | Rpm database in staging area is used only by createrepo. createrepo fails with the error "rpmdb: BDB0060 PANIC: fatal region error detected" if rpm database is broken during previous run of createrepo. Made createrepo to create rpm db in $WORKDIR/rpmdb/ from scratch for every build and architecture. This should potentially fix the failure as every run of createrepo will be using separate db. [YOCTO #6571] Signed-off-by: Ed Bartosh <ed.bartosh@linux.intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* createrepo: Implement --dbpath command line optionEd Bartosh2015-04-022-0/+62
| | | | | | | | | | | | | | | --dbpath option can be used in cases where users don't want createrepo to use system rpm db to avoid possible collisiouns with other programs. For bitbake builds it would be possible to specify different databases even for every createrepo run. Considering that rootfs builds can run multiple createrepo in parallel, it can help to avoid race conditions caused by accessing or creating the same rpm database by multiple createrepo instances at the same time. Signed-off-by: Ed Bartosh <ed.bartosh@linux.intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* glibc: fix a typoRobert Yang2015-04-022-0/+37
| | | | | | | | | | | | | Fixed a typo: name-target-directory -> make-target-directory There is no name-target-directory, it should be make-target-directory, this fixed the error: /bin/bash: /path/to/elf/runtime-linker.T: No such file or directory Makefile:361: recipe for target '/path/to/elf/runtime-linker.st' failed Signed-off-by: Robert Yang <liezhi.yang@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* db: fix parallel issueRobert Yang2015-04-022-0/+31
| | | | | | | | | | Fixed parallel issue: libtool: link: `bt_rec.lo' is not a valid libtool object Makefile:867: recipe for target 'libdb-6.0.la' failed make: *** [libdb-6.0.la] Error 1 Signed-off-by: Robert Yang <liezhi.yang@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>